/**
* 随e行 
* author ltchen
* email  ltchen@isoftstone.com
*/
var items;
function dataLoad(url) {
    var request = new XMLHttpRequest(),
        section = document.getElementsByTagName('section')[0],
        categories = [],
        retina = window.devicePixelRatio >= 2 ? true : false,
		icon = (retina) ? 'icon@2x.png' :'icon.png',
        category,item, ul, element, ln, i, j;

    request.open('GET', url, false);
    request.send(null);
    if (request.status === 200) {
        var text = request.responseText
                .replace("//<feature charts>",'')
                .replace("//</feature>",'')
                .replace("//<feature grid>",'')
                .replace("//</feature>",'');
	
        categories = JSON.parse(text);
        ln = categories.length;

		var dlData =  "{list:[",istData = "{list:[";
        for (i = 0; i < ln; i++) {
            category = categories[i];
			
			if(category.title){
				element = document.createElement('header');
				element.innerHTML = category.title;
				section.appendChild(element);
			}
            ul = document.createElement('ul');
			if(category.items.length > 0){
			
				items = category.items;
				for (j = 0; j < items.length; j++) {
				
					item = items[j];
					element = document.createElement('li');
					element.innerHTML = [
						'<span class="downimg" onclick="downClick(this,\''+item.text+'\',\''+item.downloadUrl+'\')" id="'+item.packageName+'"></span>',
						 '<a href="' + item.url + '">',
							'<div ><img  src="' + item.iconLocation + '/' + icon + '" /></div>',
							'<h3>' + item.text + ' </h3>',
							 '<p>' + item.size + '</p>',
							'<p>' + item.desc + '</p>',
						'</a>'
					].join('');
					ul.appendChild(element);
					dlData += "{packageName:'"+item.packageName;
					istData += "{title:'"+item.text+"',url:'"+item.downloadUrl;
					if(j < category.items.length-1){
						istData += "'},";
						dlData += "'},";
					}else{
						istData += "'}";
						dlData += "'}"
					}
				
				}
			}
            section.appendChild(ul);
			
		
        }
		dlData += "]}";
		istData += "]}";
        document.getElementById('wrapper').style.opacity = 1;
		getDownloadedAppList(HTML_METHOD.getDownloadedAppList(istData));
		getInstalledAppList(HTML_METHOD.getInstalledAppList(dlData));

    }
	
};

/**
* title 模块点击
*/
function titleClick(flag){
    if(flag == 1){
		HTML_METHOD.toWebViewPage("4g/4g_320.html","4G预办理");
	}else if(flag == 2){
		//打开网速测试
		HTML_METHOD.openSpeedTest();
	}else{
	    //打开杀毒先锋
        HTML_METHOD.openKV();
	}
}


function appRecommend(){
	HTML_METHOD.toWebViewPage("list.html","应用推荐");
}
function downClick(self,title,url){
	if(self.innerHTML == '安装'){
		//安装
		HTML_METHOD.InstalledApp(self.id);
	}else if(self.innerHTML == '打开'){
		//打开应用
		HTML_METHOD.openApp(self.id);
	}else if(self.innerHTML == '' || self.innerHTML == '下载失败'){
	    //下载应用
		HTML_METHOD.download(title,url,self.id);
	}else{
	
	}
}

function setButton(packageName,text){
	var btn = document.getElementById(packageName);
	if(btn){
		btn.className = "button btngray";
		btn.innerHTML = text;
	}
}
//已安装应用列表
function getInstalledAppList(data){
	//HTML_METHOD.getInstalledAppList();
   var list = eval(data);
   for(var i= 0; i < list.length;i++){
		if(list[i].isInstalled==true){
			  setButton(list[i].packageName,'打开');
		}
   }

}
//已下载应用列表
function getDownloadedAppList(data){
  //TML_METHOD.getDownloadedAppList()
   var list = eval(data),info;
   for(var i= 0; i < list.length;i++){
	   info = list[i];
       if(info.status =='1'){
			setButton(findPackageByUrl(info.url),'安装');
	   }else if(info.status =='2'){
			setButton(findPackageByUrl(info.url),'正在下载');
	   }else{
			setButton(findPackageByUrl(info.url),'下载失败');
	   }
	   // status 0 下载失败     1 下载成功        2正在下载  (过滤下载失败)
	  
   }
  // 返回 {list:{{pagekageName:name},{pagekageName:name}}}
}

//reflash(String pagekageName,int type)  type =0 下载完成  type =1 安装完成  3 正在下载  4 下载失败
function reflash(packageName,type){
  if(type == 0){
      setButton(packageName,'安装');
  }else if(type == 1){
      setButton(packageName,'打开');
  }else if(type  == 3){
      setButton(packageName,'正在下载');
  }else{
      setButton(packageName,'下载失败');
  }
}
function reflashByURL(url,type){
	reflash(findPackageByUrl(url),type);
}
function findPackageByUrl(url){

    for (j = 0; j < items.length; j++) {
	
		if(url == items[j].downloadUrl){

		   return items[j].packageName;
		}
	}
	return '';
}
/*
//CMCCWIFI  TML_METHOD
数据上报
HTML_METHOD.uploadData()


 * 
 * @param allPackageNames  参数 {list:{packageName:value},{packageName:value}}
 * @return
 *  {list:{packageName:value,isInstalled:true},{packageName:value,isInstalled:false}}
//已安装应用列表
//返回所有下载应用列表

 allUrls 参数 {list:{title:value,url:value},{title:value,url:value}}
 {list:{{title:titleValue,url:urlVaule,status:1},{title:titleValue,url:urlVaule,status:0}}}
 status 0 下载失败     1 下载成功        2正在下载  (过滤下载失败)
 
 [{packageName:'value',isInstalled:true},{packageName:'value',isInstalled:false}] 已安装
[{title:'titleValue',url:'urlVaule',status:'1'},{title:'titleValue',url:'urlVaule',status:'0'}]
 已下载
 */

